package net.sourceforge.basher.example.tasks;

import java.util.Arrays;
import java.util.List;
import java.util.Random;

import net.sourceforge.basher.Phase;
import org.apache.commons.logging.*;

/**
 * @author Johan Lindquist
 */
public class PlainClassTask
{
    private Log _log = LogFactory.getLog(PlainClassTask.class);

    public void executeTask()
    {
        _log.debug( "PlainClassTask" );
    }

    public String getName()
    {
        return "PlainClassTask";
    }

    public List<Phase> applicablePhases()
    {
        return Arrays.asList(Phase.RUN);
    }

}