package net.sourceforge.basher.example.tasks;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import net.sourceforge.basher.Task;
import net.sourceforge.basher.TaskProvider;

/**
 * @author Johan Lindquist
 */
public class SimpleTaskProvider implements TaskProvider
{
    public List<Task> getTasks()
    {
        return new ArrayList<Task>( );
    }

    public List<Class> getTaskClasses()
    {
        final ArrayList<Class> classes = new ArrayList<Class>();
        classes.add( PlainClassTask.class );
        return classes;
    }
}
